summaryrefslogtreecommitdiffstats
path: root/update-mirrorlist-pkg
diff options
context:
space:
mode:
Diffstat (limited to 'update-mirrorlist-pkg')
-rwxr-xr-xupdate-mirrorlist-pkg16
1 files changed, 16 insertions, 0 deletions
diff --git a/update-mirrorlist-pkg b/update-mirrorlist-pkg
new file mode 100755
index 0000000..52be575
--- /dev/null
+++ b/update-mirrorlist-pkg
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+cd ~/arch/extra/pacman-mirrorlist/
+svn up
+cd trunk
+
+upgpkg a
+svn diff mirrorlist | pygmentize
+printf "confirm update (enter)"
+read
+makepkg -fc
+
+corepkg "upstream update"
+dbrel